<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.VirtuosoRdfConnector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">VirtuosoRdfConnector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.VirtuosoRdfConnector Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implements necessary functions for querying and manipulating the RDF-based knowledge graph.  
 <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchImplementation.VirtuosoRdfConnector:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.png" usemap="#SemanticSearchImplementation.VirtuosoRdfConnector_map" alt=""/>
  <map id="SemanticSearchImplementation.VirtuosoRdfConnector_map" name="SemanticSearchImplementation.VirtuosoRdfConnector_map">
<area href="interface_semantic_search_implementation_1_1_i_rdf_connector.html" title="Provides all necessary functions for querying and manipulating the RDF-based knowledge graph." alt="SemanticSearchImplementation.IRdfConnector" shape="rect" coords="0,0,315,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9a53bad62d02ef44d03eced610359fd5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a9a53bad62d02ef44d03eced610359fd5">VirtuosoRdfConnector</a> (string virtuosoServer=&quot;localhost&quot;, int dbPort=1111, string db=&quot;db&quot;, string dbUser=&quot;dba&quot;, string dbPassword=&quot;dba&quot;)</td></tr>
<tr class="separator:a9a53bad62d02ef44d03eced610359fd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a664532a10fa88ffda7255ad48bb6c91c"><td class="memItemLeft" align="right" valign="top">Graph&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a664532a10fa88ffda7255ad48bb6c91c">GetGraph</a> (string graphName)</td></tr>
<tr class="memdesc:a664532a10fa88ffda7255ad48bb6c91c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a metadata graph.  <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a664532a10fa88ffda7255ad48bb6c91c">More...</a><br /></td></tr>
<tr class="separator:a664532a10fa88ffda7255ad48bb6c91c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6513f05266064ad1094b86315850a7c"><td class="memItemLeft" align="right" valign="top">IGraph&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ad6513f05266064ad1094b86315850a7c">QueryWithResultGraph</a> (SparqlParameterizedString query)</td></tr>
<tr class="memdesc:ad6513f05266064ad1094b86315850a7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a parametrized string and a <code>Graph</code> as result.  <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ad6513f05266064ad1094b86315850a7c">More...</a><br /></td></tr>
<tr class="separator:ad6513f05266064ad1094b86315850a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bdc76057ae76fccec2000bd59a6e5d0"><td class="memItemLeft" align="right" valign="top">SparqlResultSet&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a2bdc76057ae76fccec2000bd59a6e5d0">QueryWithResultSet</a> (string query, bool withInference=true)</td></tr>
<tr class="memdesc:a2bdc76057ae76fccec2000bd59a6e5d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a query and possibly with stored inference rules.  <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a2bdc76057ae76fccec2000bd59a6e5d0">More...</a><br /></td></tr>
<tr class="separator:a2bdc76057ae76fccec2000bd59a6e5d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dcc4474aee369c058ddf4faf0928513"><td class="memItemLeft" align="right" valign="top">SparqlResultSet&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a1dcc4474aee369c058ddf4faf0928513">QueryWithResultSet</a> (SparqlParameterizedString query)</td></tr>
<tr class="memdesc:a1dcc4474aee369c058ddf4faf0928513"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a parametrized string and a <code>SparqlResultSet</code> as result.  <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a1dcc4474aee369c058ddf4faf0928513">More...</a><br /></td></tr>
<tr class="separator:a1dcc4474aee369c058ddf4faf0928513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b88955c969854bbf6c30516881d2d95"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a8b88955c969854bbf6c30516881d2d95">Update</a> (SparqlParameterizedString query)</td></tr>
<tr class="memdesc:a8b88955c969854bbf6c30516881d2d95"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the knoeldge graph with a parametrized string.  <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a8b88955c969854bbf6c30516881d2d95">More...</a><br /></td></tr>
<tr class="separator:a8b88955c969854bbf6c30516881d2d95"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac4130628b3c4f81647bae9be263a2d7a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ac4130628b3c4f81647bae9be263a2d7a">GetFinalQueryString</a> (string query, bool withInference=true)</td></tr>
<tr class="memdesc:ac4130628b3c4f81647bae9be263a2d7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Builds the final SPARQLL query which contains possible inference rules and namespaces.  <a href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ac4130628b3c4f81647bae9be263a2d7a">More...</a><br /></td></tr>
<tr class="separator:ac4130628b3c4f81647bae9be263a2d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a33d6bb69d52e85d3622cf204f6f01987"><td class="memItemLeft" align="right" valign="top">readonly SparqlParameterizedString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a33d6bb69d52e85d3622cf204f6f01987">_queryString</a></td></tr>
<tr class="separator:a33d6bb69d52e85d3622cf204f6f01987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a619d32e2555a68ee2c881545f60b2477"><td class="memItemLeft" align="right" valign="top">readonly VirtuosoManager&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a619d32e2555a68ee2c881545f60b2477">_manager</a></td></tr>
<tr class="separator:a619d32e2555a68ee2c881545f60b2477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cfa10dfcbc8084caef0afd804bc889"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, Uri &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a36cfa10dfcbc8084caef0afd804bc889">NAMESPACES</a></td></tr>
<tr class="separator:a36cfa10dfcbc8084caef0afd804bc889"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a3fa556b03971c64b7aa44586a89bf14f"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a3fa556b03971c64b7aa44586a89bf14f">RULESET_QUERY</a> = &quot;DEFINE input:inference 'ruleset' &quot;</td></tr>
<tr class="separator:a3fa556b03971c64b7aa44586a89bf14f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implements necessary functions for querying and manipulating the RDF-based knowledge graph. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9a53bad62d02ef44d03eced610359fd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a53bad62d02ef44d03eced610359fd5">&#9670;&nbsp;</a></span>VirtuosoRdfConnector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.VirtuosoRdfConnector.VirtuosoRdfConnector </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>virtuosoServer</em> = <code>&quot;localhost&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dbPort</em> = <code>1111</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>db</em> = <code>&quot;db&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbUser</em> = <code>&quot;dba&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbPassword</em> = <code>&quot;dba&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac4130628b3c4f81647bae9be263a2d7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4130628b3c4f81647bae9be263a2d7a">&#9670;&nbsp;</a></span>GetFinalQueryString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.VirtuosoRdfConnector.GetFinalQueryString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>query</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>withInference</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Builds the final SPARQLL query which contains possible inference rules and namespaces. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>String representation of a SPARQL query.</td></tr>
    <tr><td class="paramname">withInference</td><td>Flag which indicates if inference rules should be used.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Final SPARQL query string.</dd></dl>

</div>
</div>
<a id="a664532a10fa88ffda7255ad48bb6c91c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a664532a10fa88ffda7255ad48bb6c91c">&#9670;&nbsp;</a></span>GetGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Graph SemanticSearchImplementation.VirtuosoRdfConnector.GetGraph </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A graph.</dd></dl>

<p>Implements <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a58522871a768f8aa245c1dda7f28c312">SemanticSearchImplementation.IRdfConnector</a>.</p>

</div>
</div>
<a id="ad6513f05266064ad1094b86315850a7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6513f05266064ad1094b86315850a7c">&#9670;&nbsp;</a></span>QueryWithResultGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IGraph SemanticSearchImplementation.VirtuosoRdfConnector.QueryWithResultGraph </td>
          <td>(</td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a parametrized string and a <code>Graph</code> as result. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>Parametrized SPARQL query which returns a <code>Graph</code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>Graph</code>.</dd></dl>

<p>Implements <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a43e607b1296b7409c60c7a7fd4c3c3ab">SemanticSearchImplementation.IRdfConnector</a>.</p>

</div>
</div>
<a id="a1dcc4474aee369c058ddf4faf0928513"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dcc4474aee369c058ddf4faf0928513">&#9670;&nbsp;</a></span>QueryWithResultSet() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SparqlResultSet SemanticSearchImplementation.VirtuosoRdfConnector.QueryWithResultSet </td>
          <td>(</td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a parametrized string and a <code>SparqlResultSet</code> as result. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>Parametrized SPARQL query which returns a <code>SparqlResultSet</code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>SparqlResultSet</code>.</dd></dl>

<p>Implements <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#ad7649dd5f0f6f03b0557770a35e5c7a7">SemanticSearchImplementation.IRdfConnector</a>.</p>

</div>
</div>
<a id="a2bdc76057ae76fccec2000bd59a6e5d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bdc76057ae76fccec2000bd59a6e5d0">&#9670;&nbsp;</a></span>QueryWithResultSet() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SparqlResultSet SemanticSearchImplementation.VirtuosoRdfConnector.QueryWithResultSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>query</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>withInference</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a query and possibly with stored inference rules. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>String representation of a SPARQL query.</td></tr>
    <tr><td class="paramname">withInference</td><td>Flag which indicates the use of the inference rules.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>SparqlResultSet</code>.</dd></dl>

<p>Implements <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a10764683af6c174e4e40e3e235cc1fc2">SemanticSearchImplementation.IRdfConnector</a>.</p>

</div>
</div>
<a id="a8b88955c969854bbf6c30516881d2d95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b88955c969854bbf6c30516881d2d95">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchImplementation.VirtuosoRdfConnector.Update </td>
          <td>(</td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Updates the knoeldge graph with a parametrized string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>Parametrized SPARQL query.</td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a291a31a1dd851b47c831c8cbddc5b23e">SemanticSearchImplementation.IRdfConnector</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a619d32e2555a68ee2c881545f60b2477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a619d32e2555a68ee2c881545f60b2477">&#9670;&nbsp;</a></span>_manager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly VirtuosoManager SemanticSearchImplementation.VirtuosoRdfConnector._manager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a33d6bb69d52e85d3622cf204f6f01987"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33d6bb69d52e85d3622cf204f6f01987">&#9670;&nbsp;</a></span>_queryString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly SparqlParameterizedString SemanticSearchImplementation.VirtuosoRdfConnector._queryString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a36cfa10dfcbc8084caef0afd804bc889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36cfa10dfcbc8084caef0afd804bc889">&#9670;&nbsp;</a></span>NAMESPACES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IDictionary&lt;string, Uri&gt; SemanticSearchImplementation.VirtuosoRdfConnector.NAMESPACES</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="keyword">new</span> Dictionary&lt;string, Uri&gt;()</div>
<div class="line">        {</div>
<div class="line">            { <span class="stringliteral">&quot;dcterms&quot;</span>, <span class="keyword">new</span> Uri(Uris.DCTERMS) },</div>
<div class="line">            { <span class="stringliteral">&quot;rdfs&quot;</span>, <span class="keyword">new</span> Uri(Uris.RDFS) },</div>
<div class="line">            { <span class="stringliteral">&quot;rdf&quot;</span>, <span class="keyword">new</span> Uri(Uris.RDF) },</div>
<div class="line">            { <span class="stringliteral">&quot;sh&quot;</span>, <span class="keyword">new</span> Uri(Uris.SHACL) },</div>
<div class="line">            { <span class="stringliteral">&quot;foaf&quot;</span>, <span class="keyword">new</span> Uri(Uris.FOAF) },</div>
<div class="line">            { <span class="stringliteral">&quot;coscineprojectstructure&quot;</span>, <span class="keyword">new</span> Uri(Uris.COSCINE_PROJECTSTRUCTURE) },</div>
<div class="line">            { <span class="stringliteral">&quot;owl&quot;</span>, <span class="keyword">new</span> Uri(Uris.OWL) },</div>
<div class="line">            { <span class="stringliteral">&quot;qudt&quot;</span>, <span class="keyword">new</span> Uri(Uris.QUDT) },</div>
<div class="line">            { <span class="stringliteral">&quot;coscinesearch&quot;</span>, <span class="keyword">new</span> Uri(Uris.COSCINE_SEARCH) }            </div>
<div class="line">        }</div>
</div><!-- fragment -->
</div>
</div>
<a id="a3fa556b03971c64b7aa44586a89bf14f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fa556b03971c64b7aa44586a89bf14f">&#9670;&nbsp;</a></span>RULESET_QUERY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.VirtuosoRdfConnector.RULESET_QUERY = &quot;DEFINE input:inference 'ruleset' &quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_virtuoso_rdf_connector_8cs.html">VirtuosoRdfConnector.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
